# `$set` ( type in module `ng` )

## Description

Set DOM element attribute value.

## Usage

    Attributes#$set(name, value);

### Parameters

- `name – {string} –`

  Normalized element attribute name of the property to modify. The name is revers translated using the `$attr` property to the original name.

- `value – {string} –`

  Value to set the attribute to. The value can be an interpolated string.